<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class GuardPatrolEntry extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
        'guard_name_id',
        'check_point_name_id',
        'reader_code',
        'patrol_time',
        'created_by',
        'updated_by',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function guardNames(): BelongsTo
    {
        //return $this->belongsTo(CheckPointName::class);
        return $this->belongsTo(GuardName::class, 'guard_name_id');
    }

    public function checkPointNames(): BelongsTo
    {
        //return $this->belongsTo(CheckPointName::class);
        return $this->belongsTo(CheckPointName::class, 'check_point_name_id');
    }
}
